<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;

//$maindb = "grpmast";
$file = "shift.php";

$keyfld = "code";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `shift` = '$searchTerm'";
    } 
    if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `dorn` = '$searchTerm'";
    } 
    if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `fromtm` = '$searchTerm'";
    } 
    if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `totm` = '$searchTerm'";
    } 
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `shift` LIKE '%$searchTerm%'";
    } 
    if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `dorn` LIKE '%$searchTerm%'";
    } 
    if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `fromtm` LIKE '%$searchTerm%'";
    } 
    if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `totm` LIKE '%$searchTerm%'";
    } 
}

$sortcond = "ORDER BY `shift`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY `shift`";
    } 
if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY `dorn`";
    } 
if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY `fromtm`";
    } 
if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY `totm`";
    } 

 $ordcond = "DESC";
    if ($_REQUEST["orderAs"] == "desc") {
        $ordcond = " DESC";
    } else {
        $ordcond = " ASC";
    }

$query = "SELECT `code`,`shift`,`dorn`,`fromtm`,`totm` FROM `shift` WHERE `code` != ''  $cond $sortcond $ordcond  LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {
    $rows[] = [ 'success' => true,
        'value'   => $ctr,
        'keyfld'  => $keyfld,
        'shift'    => $r[shift],
        'dorn'    => $r[dorn],
        'fromtm'    => $r[fromtm],
        'totm'    => $r[totm],
        'action'  => "$file?mode=edit&code=$r[code]",
    ];
    $ctr++;
}
header("Content-type: application\json");
echo json_encode($rows);
